/**
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/audio.h>
#include <core/core.h>
extern "C" {
#include <core/collection.h>
#include <core/filter.h>
#include <core/history.h>
#include <core/playlist.h>
#include <core/tags/tags.h>
#include <core/tempq.h>
}


void core :: init(struct core_init_data *init)
{
	filter_init();
	tags_init();
	playlist_init(init->playlist_ops);
	collection_init(init->collection_ops);
	history_init(init->history_ops);
	tempq_init(init->tempq_ops);
	audio    :: init();
}

void core :: deinit()
{
	tempq_deinit();
	history_deinit();
	collection_deinit();
	playlist_deinit();
	tags_deinit();
	filter_deinit();
}
